We expect the data refresh to be delayed for ecomproductcontentscore dataset today (2026-06-17). We are actively working to resolve the issue and apologize for the inconvenience.
We have become aware that there is missing data for June 2, 2026 within our headless access Channel Performance solutions. This missing data is impacting Scintilla suppliers and the category advisor persona who rely on headless access (Cloud Feeds, Data Feeds API and Scintilla Media Data Feed). Our team investigated the issue and resolved it as of 2:00 pm CT this morning (6/3/26). Please see the next steps below on how to restore missing data. The data has been restated and published as an on-demand update in the status table. Suppliers could have manually used the status timestamp to read the restated store sales data using CDF on June 3. If they did not take manual action, then it processed automatically on June 4 via the normal CDF process.
We have become aware that there is missing data for June 2, 2026 within our headless access Channel Performance solutions. This missing data is impacting Scintilla suppliers and the category advisor persona who rely on headless access (Cloud Feeds, Data Feeds API and Scintilla Media Data Feed). Our team investigated the issue and resolved it as of 2:00 pm CT this morning (6/3/26). Please see the next steps below on how to restore missing data. For the affected tables, we will be processing the data in our incremental on 6/4. We will provide āUā updates for the incorrect data and "I" for the new records that weren't sent.
We have become aware that there is missing data for June 2, 2026 within our headless access Channel Performance solutions. This missing data is impacting Scintilla suppliers and the category advisor persona who rely on headless access (Cloud Feeds, Data Feeds API and Scintilla Media Data Feed). Our team investigated the issue and resolved it as of 2:00 pm CT this morning (6/3/26). Please see the next steps below on how to restore missing data. For the affected tables, we will be processing the incremental data on 6/4. We will provide āUā updates for the incorrect data and "I" for the new records that weren't sent.
We are aware of a data issue with RFID Tag Part table. We are working to fix the issue.
Service Advisory: Cloud Feeds Pipeline Delay We are currently experiencing an infrastructure issue impacting Cloud Feeds data pipelines due to a constraint within our platform. As a result, there may be delays in data availability and refreshes. We are actively engaging and working toward resolution. We will provide updates as additional information becomes available.
We have become aware that there is missing store sales data for May 26, 2026. This missing data is impacting Scintilla suppliers and the category advisor persona who rely on headless access (Cloud Feeds, Data Feeds API and Scintilla Media Data Feed). Our team investigated the issue and resolved it as of 11:30 am CT this morning. Report Builder is unaffected and has all sales data for May 26, 2026. Please see the next steps below on how to restore missing sales data. Data Feeds API: The historical file for the affected May 26 store sales data will be made available, and suppliers will need to manually consume it to recover the missing records.
We have become aware that there is missing store sales data for May 26, 2026. This missing data is impacting Scintilla suppliers and the category advisor persona who rely on headless access (Cloud Feeds, Data Feeds API and Scintilla Media Data Feed). Our team investigated the issue and resolved it as of 11:30 am CT this morning. Report Builder is unaffected and has all sales data for May 26, 2026. Please see the next steps below on how to restore missing sales data. Cloud Feeds: The data will be restated and published as an on-demand update in the status table. Suppliers can manually use the status timestamp to read the restated store sales data using CDF. If they do not take manual action today, then it will process automatically tomorrow via the normal CDF process.
The Direct Shipment Capture (DSC) API allows DSD Suppliers to send details about planned, started, en route, and arrived shipments, to help ensure a more efficient receiving process within a Walmart store.
š§
New Version Available
This is reference details for DSC v1. To onboard to the latest version please see our v2 Get Started guide.
Endpoints
POST
/store/directshipment
Request Body Details
Parameter
Mandatory
Description
Data Type
messageId
Yes
A unique reference identifier for the message that can be used for tracing API requests. This is a generally a UUID but can be any unique value up to 36 characters.
String
eventCreationTime
Yes
The system time from the supplier of when the event was created, in Epoch format (ms).
Integer
eventType
Yes
A unique identifier for the type of action that is being taken. Note: Only the events below will be accepted, and they arecase sensitive.
PLANNED - Use when the shipment is first planned, but has not left the originating facility.
STARTED - Use when the shipment leaves the originating facility.
ENROUTE - Use when the shipment is en route to a specific Walmart store.
ARRIVED - Use when the shipment has arrived at a specific Walmart store.
String
trailerNbr
No
The identifier for the trailer.
String
destinations
Yes
An array containing information about the Walmart store and the shipment. Only one destination is allowed.
Array
shipmentDeliverydate
Yes
The Date the shipment will arrive at a Walmart store, in YYYY-MM-DD format.
Date
storeNbr
Yes
The Walmart store number for the shipment.
String
loads
Yes
An array containing information about the shipment contents.
Array
asn
No
The Advance Shipment Notice associated with the load.
String
packNbr
Yes
The pack or SSCC number which indicates what products are packed together for shipment.
String
shipment
Yes
An object containing shipment details.
Object
locationArea
Yes
The location where the shipment will be dropped off, e.g. BACKROOM.
String
palletQty
No
The number of pallets associated with the shipment.
Integer
caseQty
No
The number of cases associated with the shipment.
Integer
toteQty
No
The number of totes associated with the shipment.
Integer
itemization
No
An array of GTINs and quantities associated with the shipment.
Array
gtin
No
The 14 digit GTIN of the shipped item.
String
qty
No
The quantity of the shipped GTIN.
Float
etaWindow
Yes (for planned, started, enroute events)
An object that contains the earliest and latest ETAs for the shipment. Only applicable for planned, started, and enroute events.
Object
earliestEta
Yes (for planned, started, enroute events)
Earliest possible ETA in UTC format, e.g. 2024-10-17T16:30+0000Z (where "+0000Z" is not changed, i.e. do not provide the timezone offset). Only for planned, started, enroute events.
UTC Date/time
latestEta
Yes (for planned, started, enroute events)
Latest possible ETA in UTC format, e.g. 2024-10-17T16:30+0000Z (where "+0000Z" is not changed, i.e. do not provide the timezone offset) Only for planned, started, enroute events.
UTC Date/time
arrivalTime
Yes (for arrived events)
Actual time of the truck arrival in UTC format, e.g. 2024-10-17T16:30+0000Z (where "+0000Z" is not changed, i.e. do not provide the timezone offset). Only for arrived events.